FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 08-14-2010, 03:07 AM
Tang Jianwei
 
Default uuid problem while compiling glue

Hi guys

I got the errors like this while compiling cluster glue:

./.libs/libplumb.so: undefined reference to `uuid_parse'
./.libs/libplumb.so: undefined reference to `uuid_generate'
./.libs/libplumb.so: undefined reference to `uuid_copy'
./.libs/libplumb.so: undefined reference to `uuid_is_null'
./.libs/libplumb.so: undefined reference to `uuid_unparse'
./.libs/libplumb.so: undefined reference to `uuid_clear'
./.libs/libplumb.so: undefined reference to `uuid_compare'
collect2: ld returned 1 exit status
gmake[2]: *** [ipctest] Error 1
gmake[2]: Leaving directory `/root/Reusable-Cluster-Components-glue-1.0.5/lib/clplumbing'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/root/Reusable-Cluster-Components-glue-1.0.5/lib'
make: *** [all-recursive] Error 1


and here is the output when I run ./configure:

configure: creating ./config.status
config.status: creating Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands

cluster-glue configuration:
Version = 1.0.6 (Build: 1c87a0c58c59fc384b93ec11476cefdbb6ddc1e1)
Features =

Prefix = /usr
Executables = /usr/sbin
Man pages = /usr/man
Libraries = /usr/lib
Header files = /usr/include
Arch-independent files = /usr/share
Documentation = /usr/share/doc
State information = /usr/var
System configuration = /usr/etc

Use system LTDL = no

HA group name = haclient
HA user name = hacluster

CFLAGS = -g -O2 -ggdb3 -O0 -fgnu89-inline -fstack-protector-all -Wall -Waggregate-return -Wbad-function-cast -Wcast-qual -Wcast-align -Wdeclaration-after-statement -Wendif-labels -Wfloat-equal -Wformat=2 -Wformat-security -Wformat-nonliteral -Winline -Wmissing-prototypes -Wmissing-declarations -Wmissing-format-attribute -Wnested-externs -Wno-long-long -Wno-strict-aliasing -Wpointer-arith -Wstrict-prototypes -Wwrite-strings -ansi -D_GNU_SOURCE -DANSI_ONLY -Werror
Libraries = -lbz2 -lxml2 -lc -lrt -ldl -L/lib -lglib-2.0
Stack Libraries =


I found that some one said that maybe I need libuuid-devel. but when I
tried to install libuuid-2.17.2-4.el6.i686.rpm and
libuuid-devel-2.17.2-4.el6.i686.rpm

I still got this:

# rpm -ihv libuuid-2.17.2-4.el6.i686.rpm
libuuid-devel-2.17.2-4.el6.i686.rpm
warning: libuuid-2.17.2-4.el6.i686.rpm: Header V3 RSA/SHA256 signature:
NOKEY, key ID f21541eb
error: Failed dependencies:
rpmlib(FileDigests) <= 4.6.0-1 is needed by libuuid-2.17.2-4.el6.i686
rpmlib(PayloadIsXz) <= 5.2-1 is needed by libuuid-2.17.2-4.el6.i686
rpmlib(FileDigests) <= 4.6.0-1 is needed by
libuuid-devel-2.17.2-4.el6.i686
rpmlib(PayloadIsXz) <= 5.2-1 is needed by
libuuid-devel-2.17.2-4.el6.i686

what should I do to fix those problems?

you will be very appreciated for any suggestion.

thank you

--
Tang Jianwei

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 09:39 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org